### Method

# Tracker NamespaceManager expand_uri

#### Declaration [src]

    char*
    tracker_namespace_manager_expand_uri (
      TrackerNamespaceManager* self,
      const char* compact_uri
    )

#### Description [src]

If `compact_uri` begins with one of the prefixes known to this `TrackerNamespaceManager`, then the return value will be the expanded URI. Otherwise, a copy of `compact_uri` will be returned.

#### Parameters

`compact_uri`

  Type: `const char*`

  A URI or compact URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

The possibly expanded URI in a newly-allocated string.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.